List buyer account relationships
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/account-mappings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/account-mappings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/account-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"accountId": "<string>",
"relationshipId": "<string>",
"operatorDomain": "<string>",
"brandDomain": "<string>",
"displayName": "<string>",
"sandbox": true,
"billingGate": {
"required": true,
"status": "not_required",
"assertionId": "<string>",
"billingEntity": {
"legalName": "<string>",
"vatId": "<string>",
"taxId": "<string>",
"registrationNumber": "<string>"
}
},
"grants": [
{
"status": "<string>",
"billing": "<string>",
"count": 4503599627370495
}
],
"pendingIntakeCount": 4503599627370495,
"pendingReviewCount": 4503599627370495,
"pendingExternalCount": 4503599627370495,
"pendingRequests": [
{
"requestId": "<string>",
"authority": "seller",
"authorityRef": "<string>",
"requestedBilling": "operator",
"billingReady": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"allowedActions": {
"accept": true,
"linkExisting": true,
"reject": true
}
}
],
"sourceCoverage": [
{
"inventorySourceKey": "<string>",
"coverage": "bound",
"sourceExternalAccountId": "<string>",
"bindingVersion": 0,
"nativeAccountGeneration": 0,
"nativeAccountStatus": "<string>",
"listingVersion": "<string>",
"lastSeenAt": "2023-11-07T05:31:56Z",
"candidateCount": 4503599627370495,
"candidates": [
{
"sourceExternalAccountId": "<string>",
"displayLabel": "<string>",
"lastSeenAt": "2023-11-07T05:31:56Z",
"reason": "operator_brand_sandbox_match"
}
]
}
],
"openProposalCount": 4503599627370495,
"mtdSpend": {
"amount": 123,
"currency": "<string>"
}
}
],
"sources": [
{
"inventorySourceId": "<string>",
"inventorySourceKey": "<string>",
"name": "<string>",
"executionType": "<string>",
"supportsNativeAccounts": true,
"lifecycleAuthority": "seller",
"controls": {
"observe": true,
"map": true,
"approve": true,
"create": true
},
"reconciliation": {
"state": "never",
"attemptGeneration": 4503599627370495,
"lastAttemptAt": "2023-11-07T05:31:56Z",
"lastCompleteAt": "2023-11-07T05:31:56Z",
"observedCount": 4503599627370495,
"archivedCount": 4503599627370495,
"diagnosticCode": "<string>",
"diagnosticMessage": "<string>"
}
}
],
"page": {
"offset": 4503599627370495,
"limit": 50,
"total": 4503599627370495,
"hasMore": true
},
"totals": {
"buyersCount": 4503599627370495,
"openProposals": 4503599627370495,
"activeThisMonth": {
"amount": 123,
"currency": "<string>"
}
},
"dsEnabled": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
List buyer account relationships
List the seller-owned operator-and-brand relationships and their private coverage across active inventory sources.
GET
/
account-mappings
List buyer account relationships
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/account-mappings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/account-mappings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/account-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"accountId": "<string>",
"relationshipId": "<string>",
"operatorDomain": "<string>",
"brandDomain": "<string>",
"displayName": "<string>",
"sandbox": true,
"billingGate": {
"required": true,
"status": "not_required",
"assertionId": "<string>",
"billingEntity": {
"legalName": "<string>",
"vatId": "<string>",
"taxId": "<string>",
"registrationNumber": "<string>"
}
},
"grants": [
{
"status": "<string>",
"billing": "<string>",
"count": 4503599627370495
}
],
"pendingIntakeCount": 4503599627370495,
"pendingReviewCount": 4503599627370495,
"pendingExternalCount": 4503599627370495,
"pendingRequests": [
{
"requestId": "<string>",
"authority": "seller",
"authorityRef": "<string>",
"requestedBilling": "operator",
"billingReady": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"allowedActions": {
"accept": true,
"linkExisting": true,
"reject": true
}
}
],
"sourceCoverage": [
{
"inventorySourceKey": "<string>",
"coverage": "bound",
"sourceExternalAccountId": "<string>",
"bindingVersion": 0,
"nativeAccountGeneration": 0,
"nativeAccountStatus": "<string>",
"listingVersion": "<string>",
"lastSeenAt": "2023-11-07T05:31:56Z",
"candidateCount": 4503599627370495,
"candidates": [
{
"sourceExternalAccountId": "<string>",
"displayLabel": "<string>",
"lastSeenAt": "2023-11-07T05:31:56Z",
"reason": "operator_brand_sandbox_match"
}
]
}
],
"openProposalCount": 4503599627370495,
"mtdSpend": {
"amount": 123,
"currency": "<string>"
}
}
],
"sources": [
{
"inventorySourceId": "<string>",
"inventorySourceKey": "<string>",
"name": "<string>",
"executionType": "<string>",
"supportsNativeAccounts": true,
"lifecycleAuthority": "seller",
"controls": {
"observe": true,
"map": true,
"approve": true,
"create": true
},
"reconciliation": {
"state": "never",
"attemptGeneration": 4503599627370495,
"lastAttemptAt": "2023-11-07T05:31:56Z",
"lastCompleteAt": "2023-11-07T05:31:56Z",
"observedCount": 4503599627370495,
"archivedCount": 4503599627370495,
"diagnosticCode": "<string>",
"diagnosticMessage": "<string>"
}
}
],
"page": {
"offset": 4503599627370495,
"limit": 50,
"total": 4503599627370495,
"hasMore": true
},
"totals": {
"buyersCount": 4503599627370495,
"openProposals": 4503599627370495,
"activeThisMonth": {
"amount": 123,
"currency": "<string>"
}
},
"dsEnabled": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Query Parameters
Required range:
0 <= x <= 9007199254740991Required range:
1 <= x <= 100Maximum string length:
200Required string length:
1 - 255Response
List buyer account relationships
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Deprecated: always true. The design-system view is now the only view (the ds-widgets flag was retired). Retained as a required response field so released clients and cached widget bundles that read it keep deserializing; removed in a future major version.